#
# RPM spec file for Dan Bernstein's qmailanalog package
#
# $Id: qmailanalog.spec,v 1.3 2005/07/28 02:29:50 charlieb Exp $
#
Summary: A collection of tools to help you analyze qmail's activity record.
%define name qmailanalog
Name: %{name}
%define version 0.70
%define release 06
Version: %{version}
Release: %{release}
License: Daniel J. Bernstein - http://cr.yp.to/distributors.html
Group: Networking/Daemons
Source: http://cr.yp.to/software/%{name}-%{version}.tar.gz
URL: http://cr.yp.to/%{name}.html
Patch0: %{name}-%{version}.patch.2001020500
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Provides: qmailanalog
AutoReqProv: no

%description
qmailanalog is a collection of tools to help you analyze qmail's activity
record. It supplies statistics to answer a wide variety of questions:

    - overall: how many messages? recipients? attempts? etc.
    - ddist: how soon were 50% of the messages delivered? 90%? 95%? 99%?
    - rxdelay: what's the best order of recipients for mailing lists?
    - recipients, rhosts: who's getting mail? bytes?  messages? attempts?
    - successes, failures, deferrals: why? how often? how much delay?
    - senders, suids: messages? bytes?  load? recipients? attempts? delay?

qmailanalog also includes several tools to focus attention on particular
senders, recipients, or messages.

%changelog
* Tue Dec 20 2005 Charlie Brady <charlieb@e-smith.com> 0.70-06
- Change obsolete Copyright tag to a License tag, and include
  URL to DJB's information for distributors.

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au>
- Bump release number only

* Fri Mar 18 2005 Charlie Brady <charlieb@e-smith.com>
- [0.70-04]
- Add workaround for glibc errno bug.

* Mon Feb 5 2001 Peter Samuel <peters@e-smith.com>
- [0.70-03]
- Now installs in its own root area prior to creating binary RPM.
- Default installation locations are restored.

* Wed Aug 16 2000 Peter Samuel <peters@e-smith.com>
- [0.70-2]
- added patch to change default install location

* Fri Jun 16 2000 Peter Samuel <Peter.Samuel@gormand.com.au>
- [0.70-1]
- Initial build

%prep
%setup

# This patch allows files to be installed in a relative directory prior
# to creating the binary RPM. It does not change the files or their
# final installed locations.

%patch0 -p1

# Create the relative installation directory.

mkdir -p ./root/usr/local
# Workaround glibc errno bug
echo gcc -O --include /usr/include/errno.h > conf-cc

%build
make

%install
make setup
make check
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) /usr/local/qmailanalog/bin/columnt
%attr(755,root,root) /usr/local/qmailanalog/bin/ddist
%attr(755,root,root) /usr/local/qmailanalog/bin/deferrals
%attr(755,root,root) /usr/local/qmailanalog/bin/failures
%attr(755,root,root) /usr/local/qmailanalog/bin/matchup
%attr(755,root,root) /usr/local/qmailanalog/bin/recipients
%attr(755,root,root) /usr/local/qmailanalog/bin/rhosts
%attr(755,root,root) /usr/local/qmailanalog/bin/rxdelay
%attr(755,root,root) /usr/local/qmailanalog/bin/senders
%attr(755,root,root) /usr/local/qmailanalog/bin/successes
%attr(755,root,root) /usr/local/qmailanalog/bin/suids
%attr(755,root,root) /usr/local/qmailanalog/bin/xqp
%attr(755,root,root) /usr/local/qmailanalog/bin/xrecipient
%attr(755,root,root) /usr/local/qmailanalog/bin/xsender
%attr(755,root,root) /usr/local/qmailanalog/bin/zddist
%attr(755,root,root) /usr/local/qmailanalog/bin/zdeferrals
%attr(755,root,root) /usr/local/qmailanalog/bin/zfailures
%attr(755,root,root) /usr/local/qmailanalog/bin/zoverall
%attr(755,root,root) /usr/local/qmailanalog/bin/zrecipients
%attr(755,root,root) /usr/local/qmailanalog/bin/zrhosts
%attr(755,root,root) /usr/local/qmailanalog/bin/zrxdelay
%attr(755,root,root) /usr/local/qmailanalog/bin/zsenders
%attr(755,root,root) /usr/local/qmailanalog/bin/zsendmail
%attr(755,root,root) /usr/local/qmailanalog/bin/zsuccesses
%attr(755,root,root) /usr/local/qmailanalog/bin/zsuids
%attr(644,root,root) /usr/local/qmailanalog/doc/ACCOUNTING
%attr(644,root,root) /usr/local/qmailanalog/doc/MATCHUP
%attr(644,root,root) /usr/local/qmailanalog/man/cat1/columnt.0
%attr(644,root,root) /usr/local/qmailanalog/man/cat1/matchup.0
%attr(644,root,root) /usr/local/qmailanalog/man/cat1/xqp.0
%attr(644,root,root) /usr/local/qmailanalog/man/cat1/xrecipient.0
%attr(644,root,root) /usr/local/qmailanalog/man/cat1/xsender.0
%attr(644,root,root) /usr/local/qmailanalog/man/man1/columnt.1
%attr(644,root,root) /usr/local/qmailanalog/man/man1/matchup.1
%attr(644,root,root) /usr/local/qmailanalog/man/man1/xqp.1
%attr(644,root,root) /usr/local/qmailanalog/man/man1/xrecipient.1
%attr(644,root,root) /usr/local/qmailanalog/man/man1/xsender.1
